Subject: Re: detecting rename->commit->modify->commit

From: Ittay Dror <[email-masked]>
Date: Thu, 01 May 2008 17:54:06 +0300

Also, would anyone like to comment on: 
http://www.markshuttleworth.com/archives/123 (Renaming is the killer app 
of distributed version control 
<http://www.markshuttleworth.com/archives/123>)?

Thank you,
Ittay

Ittay Dror wrote:
> Hi,
>
> Say I have a file A, I rename to 'B', commit, then change file B and 
> commit. Does 'git diff -M HEAD^^..' detect that? From what I see now, 
> it will show 'B' as new (all of it with '+' prefix in the output). Am 
> I right?
>
> Thank you,
> Ittay
>

-- 
Ittay Dror <[email-masked]>
Tikal <http://www.tikalk.com>
Tikal Project <http://tikal.sourceforge.net>